WordPress 常用函数 / current_user_can

简介

检测当前的用户是否有特定的权限,使用之前要确保全局的 $current_user 已经被设置了。

用法


<?php current_user_can( $capability, $args ); ?> 

参数

$capability
(string) (required) 权限或者角色名称
Default: None

$args
(mixed) (optional) 额外需要的参数,比如 Post ID,一些权限检测(比如 'edit_post' 或者 'delete_page')需要提供这个参数。
Default: None

返回值

(bool)
如果当前用户有该权限返回 true,否则返回 false。

实例

[code]
if ( current_user_can('moderate_comments') ) {
echo '当前用户可以审核留言。';
}
[/code]

[code]
if ( current_user_can('edit_post', 123) ) {
echo '当前用户可以编辑日志 123'.
}
[/code]

修改记录

Since: 2.0.0

源文件

wp-includes/capabilities.php